EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetExecution',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BuildExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all details regarding a specific build execution'
GO

IF OBJECT_ID('[Builds_GetExecution]') IS NOT NULL DROP PROCEDURE [Builds_GetExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetExecution]
(
	@Execution_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildExecutions_Extended]
	 WHERE [Execution_Id] = @Execution_Id


END
GO

GRANT EXECUTE ON [Builds_GetExecution] TO [BuildMasterUser_Role]
