--AH:ScriptId=45a7faea-20cc-450d-95af-ea45c30a365b;2802
DROP INDEX [IX__ConfigurationFileVersions__Application_Id__Release_Number]
	ON [ConfigurationFileVersions]

ALTER TABLE [ConfigurationFileVersions]
	DROP CONSTRAINT [FK__ConfigurationFileVersions__Releases]

ALTER TABLE [ConfigurationFileVersions]
	DROP COLUMN [Release_Number]

ALTER TABLE [ConfigurationFileVersions]
	DROP COLUMN [Application_Id]

ALTER TABLE [ConfigurationFileVersions]
	ALTER COLUMN [File_Date] DATETIME NULL

ALTER TABLE [ConfigurationFileVersions]
	ALTER COLUMN [File_Bytes] VARBINARY(MAX) NULL

ALTER TABLE [ConfigurationFileVersions]
	ALTER COLUMN [CreatedBy_User_Name] USERNAME NULL

ALTER TABLE [ConfigurationFileVersions]
	ALTER COLUMN [CreatedOn_Date] DATETIME NULL

ALTER TABLE [ConfigurationFileVersions]
	ADD [Null_Indicator] AS CAST(CASE WHEN [File_Bytes] IS NULL THEN 'Y' ELSE 'N' END AS CHAR(1)) PERSISTED NOT NULL

ALTER TABLE [ConfigurationFileVersions]
	ADD CONSTRAINT [CK__ConfigurationFileVersions__NullVersion]
		CHECK (([VersionNotes_Text] IS NULL AND [File_Date] IS NULL AND [File_Bytes] IS NULL AND [CreatedBy_User_Name] IS NULL AND [CreatedOn_Date] IS NULL)
		    OR ([File_Date] IS NOT NULL AND [File_Bytes] IS NOT NULL AND [CreatedBy_User_Name] IS NOT NULL AND [CreatedOn_Date] IS NOT NULL))