EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChangeControls_GetChangeControl',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'ChangeControls_Extended,ChangeControlEnvironments_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of a specified change control.'
GO

IF OBJECT_ID('[ChangeControls_GetChangeControl]') IS NOT NULL DROP PROCEDURE [ChangeControls_GetChangeControl]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ChangeControls_GetChangeControl]
(
	@ChangeControl_Id INT
)
AS
BEGIN

SET NOCOUNT ON

    SELECT *
	  FROM [ChangeControls_Extended]
     WHERE [ChangeControl_Id] = @ChangeControl_Id

    SELECT *
	  FROM [ChangeControlEnvironments_Extended]
     WHERE [ChangeControl_Id] = @ChangeControl_Id

END
GO

GRANT EXECUTE ON [ChangeControls_GetChangeControl] TO [BuildMasterUser_Role]
