EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Pipelines_GetPipeline',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Pipelines',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the specified pipeline.'
GO


IF OBJECT_ID('[Pipelines_GetPipeline]') IS NOT NULL DROP PROCEDURE [Pipelines_GetPipeline]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Pipelines_GetPipeline]
(
	@Pipeline_Id INT
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [Pipelines]
     WHERE [Pipeline_Id] = @Pipeline_Id

END
GO

GRANT EXECUTE ON [Pipelines_GetPipeline] TO [BuildMasterUser_Role]